Package org.apache.commons.imaging.formats.jpeg.iptc

# Class IptcConstants

java.lang.Object
org.apache.commons.imaging.formats.jpeg.iptc.IptcConstants

public final class IptcConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `IMAGE_RESOURCE_BLOCK_ALPHA_CHANNELS_NAMES`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_ALPHA_IDENTIFIERS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_ALTERNATE_DUOTONE_COLORS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_ALTERNATE_SPOT_COLORS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_BACKGROUND_COLOR`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_BORDER_INFORMATION`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_BW_HALFTONING_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_BW_TRANSFER_FUNC`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_CAPTION_DIGEST`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_CLIPPING_PATH_NAME`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_COLOR_HALFTONING_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_COLOR_SAMPLERS_RESOURCE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_COLOR_TRANSFER_FUNCS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_COPYRIGHT_FLAG`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_DISPLAY_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_DUOTONE_HALFTONING_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_DUOTONE_IMAGE_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_DUOTONE_TRANSFER_FUNCS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_EFFECTIVE_BW`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_EFFECTS_VISIBLE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_EPS_OPTIONS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_EXIF_INFO2`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_EXIFINFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_GLOBAL_ALTITUDE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_GLOBAL_ANGLE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_GRID_GUIDES_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_ICC_PROFILE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_ICC_UNTAGGED`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_IDS_BASE_VALUE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_INDEXED_COLOUR_TABLE_COUNT`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_IPTC_DATA`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_JPEG_QUALITY`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_JUMP_TO_XPEP`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_LAYER_COMPS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_LAYER_STATE_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_LAYERS_GROUP_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_MACINTOSH_PRINT_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG1`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG2`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG3`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PHOTOSHOP_BGR_THUMBNAIL`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PHOTOSHOP_THUMBNAIL`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PHOTOSHOP2_COLOR_TABLE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PHOTOSHOP2_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PIXEL_ASPECT_RATIO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PRINT_FLAGS`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PRINT_FLAGS_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PRINT_SCALE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_PSTRING_CAPTION`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_QUICK_MASK_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_RAW_IMAGE_MODE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_RESOLUTION_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_SLICES`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_SPOT_HALFTONE`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_TRANSPARENT_INDEX`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_UNICODE_ALPHA_NAMES`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_URL`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_URL_LIST`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_VERSION_INFO`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_WATERMARK`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_WORKFLOW_URL`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_WORKING_PATH`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_XML_DATA`
  `static final int`
  `IMAGE_RESOURCE_BLOCK_XMP`
  `static final int`
  `IPTC_APPLICATION_2_RECORD_NUMBER`
  `static final int`
  `IPTC_ENVELOPE_RECORD_NUMBER`
  `static final int`
  `IPTC_NON_EXTENDED_RECORD_MAXIMUM_SIZE`
  `static final int`
  `IPTC_RECORD_TAG_MARKER`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### IPTC_NON_EXTENDED_RECORD_MAXIMUM_SIZE

    public static final int IPTC_NON_EXTENDED_RECORD_MAXIMUM_SIZE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PHOTOSHOP2_INFO

    public static final int IMAGE_RESOURCE_BLOCK_PHOTOSHOP2_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_MACINTOSH_PRINT_INFO

    public static final int IMAGE_RESOURCE_BLOCK_MACINTOSH_PRINT_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_XML_DATA

    public static final int IMAGE_RESOURCE_BLOCK_XML_DATA
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PHOTOSHOP2_COLOR_TABLE

    public static final int IMAGE_RESOURCE_BLOCK_PHOTOSHOP2_COLOR_TABLE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_RESOLUTION_INFO

    public static final int IMAGE_RESOURCE_BLOCK_RESOLUTION_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_ALPHA_CHANNELS_NAMES

    public static final int IMAGE_RESOURCE_BLOCK_ALPHA_CHANNELS_NAMES
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_DISPLAY_INFO

    public static final int IMAGE_RESOURCE_BLOCK_DISPLAY_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PSTRING_CAPTION

    public static final int IMAGE_RESOURCE_BLOCK_PSTRING_CAPTION
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_BORDER_INFORMATION

    public static final int IMAGE_RESOURCE_BLOCK_BORDER_INFORMATION
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_BACKGROUND_COLOR

    public static final int IMAGE_RESOURCE_BLOCK_BACKGROUND_COLOR
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PRINT_FLAGS

    public static final int IMAGE_RESOURCE_BLOCK_PRINT_FLAGS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_BW_HALFTONING_INFO

    public static final int IMAGE_RESOURCE_BLOCK_BW_HALFTONING_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_COLOR_HALFTONING_INFO

    public static final int IMAGE_RESOURCE_BLOCK_COLOR_HALFTONING_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_DUOTONE_HALFTONING_INFO

    public static final int IMAGE_RESOURCE_BLOCK_DUOTONE_HALFTONING_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_BW_TRANSFER_FUNC

    public static final int IMAGE_RESOURCE_BLOCK_BW_TRANSFER_FUNC
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_COLOR_TRANSFER_FUNCS

    public static final int IMAGE_RESOURCE_BLOCK_COLOR_TRANSFER_FUNCS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_DUOTONE_TRANSFER_FUNCS

    public static final int IMAGE_RESOURCE_BLOCK_DUOTONE_TRANSFER_FUNCS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_DUOTONE_IMAGE_INFO

    public static final int IMAGE_RESOURCE_BLOCK_DUOTONE_IMAGE_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_EFFECTIVE_BW

    public static final int IMAGE_RESOURCE_BLOCK_EFFECTIVE_BW
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG1

    public static final int IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG1
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_EPS_OPTIONS

    public static final int IMAGE_RESOURCE_BLOCK_EPS_OPTIONS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_QUICK_MASK_INFO

    public static final int IMAGE_RESOURCE_BLOCK_QUICK_MASK_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG2

    public static final int IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG2
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_LAYER_STATE_INFO

    public static final int IMAGE_RESOURCE_BLOCK_LAYER_STATE_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_WORKING_PATH

    public static final int IMAGE_RESOURCE_BLOCK_WORKING_PATH
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_LAYERS_GROUP_INFO

    public static final int IMAGE_RESOURCE_BLOCK_LAYERS_GROUP_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG3

    public static final int IMAGE_RESOURCE_BLOCK_OBSOLETE_PHOTOSHOP_TAG3
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_IPTC_DATA

    public static final int IMAGE_RESOURCE_BLOCK_IPTC_DATA
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_RAW_IMAGE_MODE

    public static final int IMAGE_RESOURCE_BLOCK_RAW_IMAGE_MODE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_JPEG_QUALITY

    public static final int IMAGE_RESOURCE_BLOCK_JPEG_QUALITY
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_GRID_GUIDES_INFO

    public static final int IMAGE_RESOURCE_BLOCK_GRID_GUIDES_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PHOTOSHOP_BGR_THUMBNAIL

    public static final int IMAGE_RESOURCE_BLOCK_PHOTOSHOP_BGR_THUMBNAIL
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_COPYRIGHT_FLAG

    public static final int IMAGE_RESOURCE_BLOCK_COPYRIGHT_FLAG
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_URL

    public static final int IMAGE_RESOURCE_BLOCK_URL
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PHOTOSHOP_THUMBNAIL

    public static final int IMAGE_RESOURCE_BLOCK_PHOTOSHOP_THUMBNAIL
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_GLOBAL_ANGLE

    public static final int IMAGE_RESOURCE_BLOCK_GLOBAL_ANGLE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_COLOR_SAMPLERS_RESOURCE

    public static final int IMAGE_RESOURCE_BLOCK_COLOR_SAMPLERS_RESOURCE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_ICC_PROFILE

    public static final int IMAGE_RESOURCE_BLOCK_ICC_PROFILE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_WATERMARK

    public static final int IMAGE_RESOURCE_BLOCK_WATERMARK
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_ICC_UNTAGGED

    public static final int IMAGE_RESOURCE_BLOCK_ICC_UNTAGGED
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_EFFECTS_VISIBLE

    public static final int IMAGE_RESOURCE_BLOCK_EFFECTS_VISIBLE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_SPOT_HALFTONE

    public static final int IMAGE_RESOURCE_BLOCK_SPOT_HALFTONE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_IDS_BASE_VALUE

    public static final int IMAGE_RESOURCE_BLOCK_IDS_BASE_VALUE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_UNICODE_ALPHA_NAMES

    public static final int IMAGE_RESOURCE_BLOCK_UNICODE_ALPHA_NAMES
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_INDEXED_COLOUR_TABLE_COUNT

    public static final int IMAGE_RESOURCE_BLOCK_INDEXED_COLOUR_TABLE_COUNT
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_TRANSPARENT_INDEX

    public static final int IMAGE_RESOURCE_BLOCK_TRANSPARENT_INDEX
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_GLOBAL_ALTITUDE

    public static final int IMAGE_RESOURCE_BLOCK_GLOBAL_ALTITUDE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_SLICES

    public static final int IMAGE_RESOURCE_BLOCK_SLICES
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_WORKFLOW_URL

    public static final int IMAGE_RESOURCE_BLOCK_WORKFLOW_URL
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_JUMP_TO_XPEP

    public static final int IMAGE_RESOURCE_BLOCK_JUMP_TO_XPEP
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_ALPHA_IDENTIFIERS

    public static final int IMAGE_RESOURCE_BLOCK_ALPHA_IDENTIFIERS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_URL_LIST

    public static final int IMAGE_RESOURCE_BLOCK_URL_LIST
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_VERSION_INFO

    public static final int IMAGE_RESOURCE_BLOCK_VERSION_INFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_EXIFINFO

    public static final int IMAGE_RESOURCE_BLOCK_EXIFINFO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_EXIF_INFO2

    public static final int IMAGE_RESOURCE_BLOCK_EXIF_INFO2
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_XMP

    public static final int IMAGE_RESOURCE_BLOCK_XMP
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_CAPTION_DIGEST

    public static final int IMAGE_RESOURCE_BLOCK_CAPTION_DIGEST
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PRINT_SCALE

    public static final int IMAGE_RESOURCE_BLOCK_PRINT_SCALE
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PIXEL_ASPECT_RATIO

    public static final int IMAGE_RESOURCE_BLOCK_PIXEL_ASPECT_RATIO
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_LAYER_COMPS

    public static final int IMAGE_RESOURCE_BLOCK_LAYER_COMPS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_ALTERNATE_DUOTONE_COLORS

    public static final int IMAGE_RESOURCE_BLOCK_ALTERNATE_DUOTONE_COLORS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_ALTERNATE_SPOT_COLORS

    public static final int IMAGE_RESOURCE_BLOCK_ALTERNATE_SPOT_COLORS
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_CLIPPING_PATH_NAME

    public static final int IMAGE_RESOURCE_BLOCK_CLIPPING_PATH_NAME
    See Also:
      - Constant Field Values

  - ### IMAGE_RESOURCE_BLOCK_PRINT_FLAGS_INFO

    public static final int IMAGE_RESOURCE_BLOCK_PRINT_FLAGS_INFO
    See Also:
      - Constant Field Values

  - ### IPTC_RECORD_TAG_MARKER

    public static final int IPTC_RECORD_TAG_MARKER
    See Also:
      - Constant Field Values

  - ### IPTC_ENVELOPE_RECORD_NUMBER

    public static final int IPTC_ENVELOPE_RECORD_NUMBER
    See Also:
      - Constant Field Values

  - ### IPTC_APPLICATION_2_RECORD_NUMBER

    public static final int IPTC_APPLICATION_2_RECORD_NUMBER
    See Also:
      - Constant Field Values